Index: src/ACLReplyHeaderStrategy.h
===================================================================
RCS file: /cvsroot/squid/squid3/src/ACLReplyHeaderStrategy.h,v
retrieving revision 1.3
diff -u -p -r1.3 ACLReplyHeaderStrategy.h
--- src/ACLReplyHeaderStrategy.h	15 Jul 2003 02:12:42 -0000	1.3
+++ src/ACLReplyHeaderStrategy.h	10 Aug 2003 09:07:58 -0000
@@ -84,6 +84,6 @@ ACLReplyHeaderStrategy<header>::Instance
 }
 
 template <http_hdr_type header>
-ACLReplyHeaderStrategy<header> (* ACLReplyHeaderStrategy<header>::Instance_)(NULL);
+ACLReplyHeaderStrategy<header> * ACLReplyHeaderStrategy<header>::Instance_ = NULL;
 
 #endif /* SQUID_REPLYHEADERSTRATEGY_H */
Index: src/ACLRequestHeaderStrategy.h
===================================================================
RCS file: /cvsroot/squid/squid3/src/ACLRequestHeaderStrategy.h,v
retrieving revision 1.6
diff -u -p -r1.6 ACLRequestHeaderStrategy.h
--- src/ACLRequestHeaderStrategy.h	15 Jul 2003 02:12:43 -0000	1.6
+++ src/ACLRequestHeaderStrategy.h	10 Aug 2003 09:07:58 -0000
@@ -85,6 +85,6 @@ ACLRequestHeaderStrategy<header>::Instan
 }
 
 template <http_hdr_type header>
-ACLRequestHeaderStrategy<header> (* ACLRequestHeaderStrategy<header>::Instance_) (NULL);
+ACLRequestHeaderStrategy<header> * ACLRequestHeaderStrategy<header>::Instance_ = NULL;
 
 #endif /* SQUID_REQUESTHEADERSTRATEGY_H */
Index: src/ACLStrategised.h
===================================================================
RCS file: /cvsroot/squid/squid3/src/ACLStrategised.h,v
retrieving revision 1.5
diff -u -p -r1.5 ACLStrategised.h
--- src/ACLStrategised.h	5 Aug 2003 02:12:48 -0000	1.5
+++ src/ACLStrategised.h	10 Aug 2003 09:07:58 -0000
@@ -76,7 +76,7 @@ private:
 /* implementation follows */
 
 template <class MatchType>
-MemPool (*ACLStrategised<MatchType>::Pool)(NULL);
+MemPool *ACLStrategised<MatchType>::Pool = NULL;
 
 template <class MatchType>
 void *
Index: src/errorpage.cc
===================================================================
RCS file: /cvsroot/squid/squid3/src/errorpage.cc,v
retrieving revision 1.15
diff -u -p -r1.15 errorpage.cc
--- src/errorpage.cc	10 Jul 2003 02:12:48 -0000	1.15
+++ src/errorpage.cc	10 Aug 2003 09:07:58 -0000
@@ -270,14 +270,18 @@ errorDynamicPageInfoDestroy(ErrorDynamic
 static int
 errorPageId(const char *page_name)
 {
-    for (int i = 0; i < ERR_MAX; i++) {
-        if (strcmp(err_type_str[i], page_name) == 0)
-            return i;
+    {
+        for (int i = 0; i < ERR_MAX; i++) {
+            if (strcmp(err_type_str[i], page_name) == 0)
+                return i;
+        }
     }
-
-    for (size_t i = 0; i < ErrorDynamicPages.size(); i++) {
-        if (strcmp(ErrorDynamicPages.items[i]->page_name, page_name) == 0)
-            return i + ERR_MAX;
+    
+    {
+        for (size_t i = 0; i < ErrorDynamicPages.size(); i++) {
+            if (strcmp(ErrorDynamicPages.items[i]->page_name, page_name) == 0)
+                return i + ERR_MAX;
+        }
     }
 
     return ERR_NONE;
Index: src/protos.h
===================================================================
RCS file: /cvsroot/squid/squid3/src/protos.h,v
retrieving revision 1.36
diff -u -p -r1.36 protos.h
--- src/protos.h	5 Aug 2003 02:12:49 -0000	1.36
+++ src/protos.h	10 Aug 2003 09:07:59 -0000
@@ -440,11 +440,11 @@ SQUIDCEXTERN HttpHdrContRange *httpHeade
 SQUIDCEXTERN const char *httpHeaderGetStr(const HttpHeader * hdr, http_hdr_type id);
 SQUIDCEXTERN const char *httpHeaderGetLastStr(const HttpHeader * hdr, http_hdr_type id);
 SQUIDCEXTERN const char *httpHeaderGetAuth(const HttpHeader * hdr, http_hdr_type id, const char *auth_scheme);
-SQUIDCEXTERN String httpHeaderGetList(const HttpHeader * hdr, http_hdr_type id);
-SQUIDCEXTERN String httpHeaderGetStrOrList(const HttpHeader * hdr, http_hdr_type id);
-SQUIDCEXTERN String httpHeaderGetByName(const HttpHeader * hdr, const char *name);
-SQUIDCEXTERN String httpHeaderGetListMember(const HttpHeader * hdr, http_hdr_type id, const char *member, const char separator);
-SQUIDCEXTERN String httpHeaderGetByNameListMember(const HttpHeader * hdr, const char *name, const char *member, const char separator);
+extern String httpHeaderGetList(const HttpHeader * hdr, http_hdr_type id);
+extern String httpHeaderGetStrOrList(const HttpHeader * hdr, http_hdr_type id);
+extern String httpHeaderGetByName(const HttpHeader * hdr, const char *name);
+extern String httpHeaderGetListMember(const HttpHeader * hdr, http_hdr_type id, const char *member, const char separator);
+extern String httpHeaderGetByNameListMember(const HttpHeader * hdr, const char *name, const char *member, const char separator);
 SQUIDCEXTERN int httpHeaderDelByName(HttpHeader * hdr, const char *name);
 SQUIDCEXTERN int httpHeaderDelById(HttpHeader * hdr, http_hdr_type id);
 SQUIDCEXTERN void httpHeaderDelAt(HttpHeader * hdr, HttpHeaderPos pos);
@@ -737,8 +737,8 @@ SQUIDCEXTERN void storeReplSetup(void);
 
 /* store_io.c */
 #include "StoreIOState.h"
-SQUIDCEXTERN StoreIOState::Pointer storeCreate(StoreEntry *, STFNCB *, STIOCB *, void *);
-SQUIDCEXTERN StoreIOState::Pointer storeOpen(StoreEntry *, STFNCB *, STIOCB *, void *);
+extern StoreIOState::Pointer storeCreate(StoreEntry *, STFNCB *, STIOCB *, void *);
+extern StoreIOState::Pointer storeOpen(StoreEntry *, STFNCB *, STIOCB *, void *);
 SQUIDCEXTERN void storeClose(StoreIOState::Pointer);
 SQUIDCEXTERN void storeRead(StoreIOState::Pointer, char *, size_t, off_t, STRCB *, void *);
 SQUIDCEXTERN void storeIOWrite(StoreIOState::Pointer, char const *, size_t, off_t, FREE *);
Index: src/typedefs.h
===================================================================
RCS file: /cvsroot/squid/squid3/src/typedefs.h,v
retrieving revision 1.29
diff -u -p -r1.29 typedefs.h
--- src/typedefs.h	23 Jul 2003 02:12:51 -0000	1.29
+++ src/typedefs.h	10 Aug 2003 09:07:59 -0000
@@ -199,7 +199,7 @@ typedef struct _header_mangler header_ma
 
 typedef struct _body_size body_size;
 
-typedef struct HttpRequest request_t;
+typedef class HttpRequest request_t;
 
 typedef struct _AccessLogEntry AccessLogEntry;
 

